IF OBJECT_ID ('tempdb..#Temp_TVCSTR') IS NOT NULL DROP TABLE #Temp_TVCSTR;
 
CREATE TABLE #Temp_TVCSTR
( 
	[FILE] [char](5) COLLATE Latin1_General_CI_AS NOT NULL,
	[VRSN] [char](2) COLLATE Latin1_General_CI_AS NOT NULL,
	[SEQN] [char](6) COLLATE Latin1_General_CI_AS NULL,
	[AVER] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[ASEQ] [char](6) COLLATE Latin1_General_CI_AS NULL,
	[PVER] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[PSEQ] [char](6) COLLATE Latin1_General_CI_AS NULL,
	[DATE1] [date] NULL,
	[TIME] [char](8) COLLATE Latin1_General_CI_AS NULL,
	[RTYP1] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP2] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP3] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP4] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP5] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP6] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP7] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP8] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP9] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP10] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP11] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP12] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP13] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP14] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[RTYP15] [char](2) COLLATE Latin1_General_CI_AS NULL,
	[HREC1] [decimal](7, 0) NULL,
	[HREC2] [decimal](7, 0) NULL,
	[HREC3] [decimal](7, 0) NULL,
	[HREC4] [decimal](7, 0) NULL,
	[HREC5] [decimal](7, 0) NULL,
	[HREC6] [decimal](7, 0) NULL,
	[HREC7] [decimal](7, 0) NULL,
	[HREC8] [decimal](7, 0) NULL,
	[HREC9] [decimal](7, 0) NULL,
	[HREC10] [decimal](7, 0) NULL,
	[HREC11] [decimal](7, 0) NULL,
	[HREC12] [decimal](7, 0) NULL,
	[HREC13] [decimal](7, 0) NULL,
	[HREC14] [decimal](7, 0) NULL,
	[HREC15] [decimal](7, 0) NULL,
	[HVAL1] [decimal](11, 2) NULL,
	[HVAL2] [decimal](11, 2) NULL,
	[HVAL3] [decimal](11, 2) NULL,
	[HVAL4] [decimal](11, 2) NULL,
	[HVAL5] [decimal](11, 2) NULL,
	[HVAL6] [decimal](11, 2) NULL,
	[HVAL7] [decimal](11, 2) NULL,
	[HVAL8] [decimal](11, 2) NULL,
	[HVAL9] [decimal](11, 2) NULL,
	[HVAL10] [decimal](11, 2) NULL,
	[HVAL11] [decimal](11, 2) NULL,
	[HVAL12] [decimal](11, 2) NULL,
	[HVAL13] [decimal](11, 2) NULL,
	[HVAL14] [decimal](11, 2) NULL,
	[HVAL15] [decimal](11, 2) NULL,
	[FLAG] [bit] NOT NULL,
	[ECOD] [char](2) COLLATE Latin1_General_CI_AS NULL,
 );

INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'00', N'000000', N'31', N'000899', N'31', N'000899', NULL, N'        ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 0, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'01', N'000869', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'10:01:33', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'02', N'000870', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'10:09:38', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'03', N'000871', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'10:47:17', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'04', N'000872', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'10:56:32', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'05', N'000873', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'11:01:56', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'06', N'000874', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'11:56:33', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'07', N'000875', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'12:00:21', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'08', N'000876', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'12:09:12', N'VH', N'VM', N'VN', N'VD', N'VR', N'VQ', N'VC', N'VT', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(9 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'09', N'000877', N'00', N'000000', N'00', N'000000', CAST(0x9E390B00 AS Date), N'12:23:49', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'10', N'000878', N'00', N'000000', N'00', N'000000', CAST(0xA5390B00 AS Date), N'14:47:24', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'11', N'000879', N'00', N'000000', N'00', N'000000', CAST(0xA6390B00 AS Date), N'11:53:51', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'12', N'000880', N'00', N'000000', N'00', N'000000', CAST(0xA6390B00 AS Date), N'11:54:40', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'13', N'000881', N'00', N'000000', N'00', N'000000', CAST(0xA6390B00 AS Date), N'12:22:10', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'14', N'000882', N'00', N'000000', N'00', N'000000', CAST(0xA6390B00 AS Date), N'13:10:30', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'15', N'000883', N'00', N'000000', N'00', N'000000', CAST(0xA7390B00 AS Date), N'10:47:30', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'16', N'000884', N'00', N'000000', N'00', N'000000', CAST(0xA7390B00 AS Date), N'11:06:53', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'17', N'000885', N'00', N'000000', N'00', N'000000', CAST(0xA7390B00 AS Date), N'12:53:34', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'18', N'000886', N'00', N'000000', N'00', N'000000', CAST(0xA7390B00 AS Date), N'13:23:08', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'19', N'000887', N'00', N'000000', N'00', N'000000', CAST(0xDC390B00 AS Date), N'09:24:47', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'20', N'000888', N'00', N'000000', N'00', N'000000', CAST(0xDC390B00 AS Date), N'09:53:28', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'21', N'000889', N'00', N'000000', N'00', N'000000', CAST(0xDC390B00 AS Date), N'10:28:58', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'22', N'000890', N'00', N'000000', N'00', N'000000', CAST(0xDC390B00 AS Date), N'10:31:43', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'23', N'000891', N'00', N'000000', N'00', N'000000', CAST(0xDC390B00 AS Date), N'14:22:20', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'24', N'000892', N'00', N'000000', N'00', N'000000', CAST(0xDC390B00 AS Date), N'15:07:33', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'25', N'000893', N'00', N'000000', N'00', N'000000', CAST(0xDD390B00 AS Date), N'10:34:33', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'26', N'000894', N'00', N'000000', N'00', N'000000', CAST(0xDD390B00 AS Date), N'11:04:04', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'27', N'000895', N'00', N'000000', N'00', N'000000', CAST(0xDD390B00 AS Date), N'11:04:07', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'28', N'000896', N'00', N'000000', N'00', N'000000', CAST(0xDD390B00 AS Date), N'11:04:10', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'29', N'000897', N'00', N'000000', N'00', N'000000', CAST(0xDD390B00 AS Date), N'11:04:13', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'30', N'000898', N'00', N'000000', N'00', N'000000', CAST(0xDD390B00 AS Date), N'11:04:17', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HPSTV', N'31', N'000899', N'00', N'000000', N'00', N'000000', CAST(0xDD390B00 AS Date), N'11:04:20', N'VM', N'VD', N'VQ', N'VR', N'VT', N'VH', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(8 AS Decimal(7, 0)), CAST(10 AS Decimal(7, 0)), CAST(8 AS Decimal(7, 0)), CAST(3 AS Decimal(7, 0)), CAST(9 AS Decimal(7, 0)), CAST(29 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(210202.00 AS Decimal(11, 2)), CAST(16.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(34.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(1745884.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HOSTH', N'00', N'000000', N'19', N'000298', N'00', N'000000', NULL, N'        ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 0, N'  ')
INSERT #Temp_TVCSTR ([FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10], [RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12], [HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14], [HVAL15], [FLAG], [ECOD]) VALUES (N'HOSTH', N'01', N'000280', N'00', N'000000', N'00', N'000000', CAST(0xBF360B00 AS Date), N'21:06:52', N'HM', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', N'  ', CAST(5 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(0 AS Decimal(7, 0)), CAST(5.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), CAST(0.00 AS Decimal(11, 2)), 1, N'  ')

MERGE  [dbo].[TVCSTR] AS Target
 USING #Temp_TVCSTR AS Source
	ON Target.[FILE] = Source.[FILE] 
	AND Target.[VRSN] = Source.[VRSN]
WHEN MATCHED THEN
UPDATE SET
  Target.[SEQN] = Source.[SEQN], Target.[AVER] = Source.[AVER], Target.[ASEQ] = Source.[ASEQ], Target.[PVER] = Source.[PVER], Target.[PSEQ] = Source.[PSEQ]
, Target.[DATE1] = Source.[DATE1], Target.[TIME] = Source.[TIME], Target.[RTYP1] = Source.[RTYP1], Target.[RTYP2] = Source.[RTYP2], Target.[RTYP3] = Source.[RTYP3]
, Target.[RTYP4] = Source.[RTYP4], Target.[RTYP5] = Source.[RTYP5], Target.[RTYP6] = Source.[RTYP6], Target.[RTYP7] = Source.[RTYP7], Target.[RTYP8] = Source.[RTYP8]
, Target.[RTYP9] = Source.[RTYP9], Target.[RTYP10] = Source.[RTYP10], Target.[RTYP11] = Source.[RTYP11], Target.[RTYP12] = Source.[RTYP12], Target.[RTYP13] = Source.[RTYP13]
, Target.[RTYP14] = Source.[RTYP14], Target.[RTYP15] = Source.[RTYP15], Target.[HREC1] = Source.[HREC1], Target.[HREC2] = Source.[HREC2], Target.[HREC3] = Source.[HREC3]
, Target.[HREC4] = Source.[HREC4], Target.[HREC5] = Source.[HREC5], Target.[HREC6] = Source.[HREC6], Target.[HREC7] = Source.[HREC7], Target.[HREC8] = Source.[HREC8]
, Target.[HREC9] = Source.[HREC9], Target.[HREC10] = Source.[HREC10], Target.[HREC11] = Source.[HREC11], Target.[HREC12] = Source.[HREC12], Target.[HREC13] = Source.[HREC13]
, Target.[HREC14] = Source.[HREC14], Target.[HREC15] = Source.[HREC15], Target.[HVAL1] = Source.[HVAL1], Target.[HVAL2] = Source.[HVAL2], Target.[HVAL3] = Source.[HVAL3]
, Target.[HVAL4] = Source.[HVAL4], Target.[HVAL5] = Source.[HVAL5], Target.[HVAL6] = Source.[HVAL6], Target.[HVAL7] = Source.[HVAL7], Target.[HVAL8] = Source.[HVAL8]
, Target.[HVAL9] = Source.[HVAL9], Target.[HVAL10] = Source.[HVAL10], Target.[HVAL11] = Source.[HVAL11], Target.[HVAL12] = Source.[HVAL12], Target.[HVAL13] = Source.[HVAL13]
, Target.[HVAL14] = Source.[HVAL14], Target.[HVAL15] = Source.[HVAL15], Target.[FLAG] = Source.[FLAG], Target.[ECOD] = Source.[ECOD]
WHEN NOT MATCHED THEN
INSERT (
 [FILE], [VRSN], [SEQN], [AVER], [ASEQ], [PVER], [PSEQ], [DATE1], [TIME], [RTYP1], [RTYP2], [RTYP3], [RTYP4], [RTYP5], [RTYP6], [RTYP7], [RTYP8], [RTYP9], [RTYP10]
,[RTYP11], [RTYP12], [RTYP13], [RTYP14], [RTYP15], [HREC1], [HREC2], [HREC3], [HREC4], [HREC5], [HREC6], [HREC7], [HREC8], [HREC9], [HREC10], [HREC11], [HREC12]
,[HREC13], [HREC14], [HREC15], [HVAL1], [HVAL2], [HVAL3], [HVAL4], [HVAL5], [HVAL6], [HVAL7], [HVAL8], [HVAL9], [HVAL10], [HVAL11], [HVAL12], [HVAL13], [HVAL14]
,[HVAL15], [FLAG], [ECOD]
)
VALUES (
  Source.[FILE], Source.[VRSN], Source.[SEQN], Source.[AVER], Source.[ASEQ], Source.[PVER], Source.[PSEQ], Source.[DATE1], Source.[TIME], Source.[RTYP1], Source.[RTYP2]
, Source.[RTYP3], Source.[RTYP4], Source.[RTYP5], Source.[RTYP6], Source.[RTYP7], Source.[RTYP8], Source.[RTYP9], Source.[RTYP10], Source.[RTYP11], Source.[RTYP12]
, Source.[RTYP13], Source.[RTYP14], Source.[RTYP15], Source.[HREC1], Source.[HREC2], Source.[HREC3], Source.[HREC4], Source.[HREC5], Source.[HREC6], Source.[HREC7]
, Source.[HREC8], Source.[HREC9], Source.[HREC10], Source.[HREC11], Source.[HREC12], Source.[HREC13], Source.[HREC14], Source.[HREC15], Source.[HVAL1], Source.[HVAL2]
, Source.[HVAL3], Source.[HVAL4], Source.[HVAL5], Source.[HVAL6], Source.[HVAL7], Source.[HVAL8], Source.[HVAL9], Source.[HVAL10], Source.[HVAL11], Source.[HVAL12]
, Source.[HVAL13], Source.[HVAL14], Source.[HVAL15], Source.[FLAG], Source.[ECOD]
);
GO